Skip to content

Statistics API

Pull real-time campaign performance data, daily breakdowns, and custom date-range reports.

All endpoints require either a JWT token or an API key (gf_...) in the Authorization header.

MethodPathScopeDescription
GET/api/v1/reports/dashboardread:statsDashboard summary
GET/api/v1/reportsread:statsCustom reports with filters
GET/api/v1/reports/chartsread:statsChart data for visualizations
GET/api/v1/reports/exportread:statsExport report as CSV

Reports support the following query parameters:

ParameterTypeDescription
fromISO 8601 dateStart date
toISO 8601 dateEnd date
campaign_idUUIDFilter by campaign
source_idUUIDFilter by source
group_bystringGrouping: day, campaign, source, geo
Terminal window
curl "https://devcore.getghostflow.io/api/v1/reports/dashboard?from=2025-06-01&to=2025-06-30" \
-H "Authorization: Bearer gf_your_api_key"
Terminal window
curl "https://devcore.getghostflow.io/api/v1/reports/export?from=2025-06-01&to=2025-06-30&group_by=day" \
-H "Authorization: Bearer gf_your_api_key" \
-o report.csv